OpenCV: cv::videostab::ImageMotionEstimatorBase Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::videostab::ImageMotionEstimatorBase Class Referenceabstract
Video Stabilization » Global Motion Estimation

Base class for global 2D motion estimation methods which take frames as input. More...

`#include "global_motion.hpp"`

Inheritance diagram for cv::videostab::ImageMotionEstimatorBase:

## Public Member Functions
virtual | ~ImageMotionEstimatorBase ()
virtual Mat | estimate (const Mat &frame0, const Mat &frame1, bool *ok=0)=0
virtual MotionModel | motionModel () const
virtual void | setMotionModel (MotionModel val)

## Protected Member Functions
| ImageMotionEstimatorBase (MotionModel model)

## Detailed Description

Base class for global 2D motion estimation methods which take frames as input.

## Constructor & Destructor Documentation

## ◆ ~ImageMotionEstimatorBase()

virtual cv::videostab::ImageMotionEstimatorBase::~ImageMotionEstimatorBase | ( |  | ) |
| inlinevirtual

## ◆ ImageMotionEstimatorBase()

cv::videostab::ImageMotionEstimatorBase::ImageMotionEstimatorBase | ( | MotionModel | model | ) |
| inlineprotected

## Member Function Documentation

## ◆ estimate()

virtual Mat cv::videostab::ImageMotionEstimatorBase::estimate | ( | const Mat & | frame0,
|  | const Mat & | frame1,
|  | bool * | ok = `0`
| ) |  |
| pure virtual

Implemented in cv::videostab::KeypointBasedMotionEstimator, cv::videostab::ToFileMotionWriter, and cv::videostab::FromFileMotionReader.

## ◆ motionModel()

virtual MotionModel cv::videostab::ImageMotionEstimatorBase::motionModel | ( |  | ) | const
| inlinevirtual

Reimplemented in cv::videostab::KeypointBasedMotionEstimator, and cv::videostab::ToFileMotionWriter.

## ◆ setMotionModel()

virtual void cv::videostab::ImageMotionEstimatorBase::setMotionModel | ( | MotionModel | val | ) |
| inlinevirtual

Reimplemented in cv::videostab::KeypointBasedMotionEstimator, and cv::videostab::ToFileMotionWriter.

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/global_motion.hpp